1. V3 - Payment
Cresium
  • Cresium - V3 Partners
    • API
      • Auth Information for V3 API Partners
      • V3 - Health
        • Health check
      • V3 - Transaction
        • Get Transaction data
        • Search transactions
        • Make a transfer
        • Confirm a transaction
        • Reverse a deposit transaction
        • Get transaction receipt
      • V3 - BankAddress
        • Get Address
      • V3 - CompanyFeature
        • Get Company Features
        • Update Feature Enabled State
      • V3 - Rate
        • Get TNA rate
      • V3 - DepositAddress
        • Update Deposit Address
        • Create Deposit Address
      • V3 - Invoice
        • Create Invoices
        • Read Invoices
      • V3 - Partner
        • Search partner transactions
      • V3 - User Address
        • Create or get User Address
      • V3 - Auth
        • V3 - Balance
          • Get all wallets for Company
        • Generate change password ID for partner user
      • V3 - CompanyTax
        • Upsert Company Tax
      • V3 - Signature Request
        • Create Signature Request
        • Update Signature Request
      • V3 - Payment
        • Create Payments
          POST
        • Read Payments
          POST
      • Webhooks
        • Auth Information for Webhooks
        • Transactions Events Examples - DEPOSIT
  1. V3 - Payment

Create Payments

POST
/v3/payment/
Crea uno o mas pagos/facturas de compra (cuentas por pagar).
Los pagos representan montos que la company debe pagar a sus proveedores/acreedores.
El body es un array, permitiendo crear multiples pagos en una sola request.

Body Parameters (array de objetos)#

CampoTipoRequeridoDescripcion
amountnumberSiMonto del pago
userAddressIdnumberSiID de la direccion del proveedor/acreedor
statusenumSiEstado inicial del pago
descriptionstringNoDescripcion/concepto
paymentMethodenumNoMetodo de pago: CASH, TRANSFER, ECHEQ, OTHER
paymentDatestringNoFecha en que se realizo el pago
fileUrlstringNoURL del archivo/comprobante adjunto
toIdnumberNoID de la Address destino
createdAtstringNoFecha de creacion (default: ahora)
expiresAtstringNoFecha de vencimiento
externalIdstringNoID externo para correlacion con sistema del partner
receiverEmailstring (email)NoEmail del proveedor/acreedor

Respuesta#

Retorna todos los pagos de la company (incluyendo los recien creados).

Request

Body Params application/json

Examples

Responses

🟢200
application/json
Successful response
Body

🟠401
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.develop.cresium.app/v3/payment/' \
--header 'Content-Type: application/json' \
--data-raw '[
    {
        "amount": 0,
        "userAddressId": 0,
        "description": "string",
        "status": "PROCESSING",
        "paymentMethod": "CASH",
        "paymentDate": "string",
        "fileUrl": "string",
        "toId": 0,
        "createdAt": "string",
        "expiresAt": "string",
        "externalId": "string",
        "receiverEmail": "user@example.com"
    }
]'
Response Response Example
200 - Example 1
{
    "data": {
        "payments": [
            {
                "id": 0,
                "toId": 0,
                "to": {
                    "id": 0,
                    "type": "CVU",
                    "value": "string",
                    "bankName": "string",
                    "ownerName": "string",
                    "img": "string",
                    "uuid": "string"
                },
                "amount": 0,
                "externalId": "string",
                "erpReferenceId": "string",
                "description": "string",
                "status": "PROCESSING",
                "createdAt": "string",
                "expiresAt": "string",
                "fileUrl": "string",
                "retentionsUrl": "string",
                "transaction": {
                    "id": 0,
                    "type": "DEPOSIT",
                    "status": "PREVIEW",
                    "externalId": "string",
                    "currencyId": 0,
                    "currency": {
                        "symbol": "string",
                        "code": "ARS",
                        "image": "string",
                        "decimals": 0
                    },
                    "fromId": 0,
                    "toId": 0,
                    "from": {
                        "id": 0,
                        "type": "CVU",
                        "value": "string",
                        "bankName": "string",
                        "ownerName": "string",
                        "img": "string",
                        "uuid": "string"
                    },
                    "to": {
                        "id": 0,
                        "type": "CVU",
                        "value": "string",
                        "bankName": "string",
                        "ownerName": "string",
                        "img": "string",
                        "uuid": "string"
                    },
                    "companyId": 0,
                    "collaboratorId": 0,
                    "collaborator": {
                        "id": 0,
                        "firstName": "string",
                        "lastName": "string",
                        "image": "string",
                        "email": "string",
                        "role": "OWNER",
                        "phone": "string",
                        "birthDate": "2019-08-24T14:15:22.123Z",
                        "status": "CREATED"
                    },
                    "walletId": 0,
                    "tag": "RENTAL",
                    "createdAt": "2019-08-24T14:15:22.123Z",
                    "updatedAt": "2019-08-24T14:15:22.123Z",
                    "processedAt": "2019-08-24T14:15:22.123Z",
                    "totalAmount": 0,
                    "netAmount": 0,
                    "bulkTransactionId": 0,
                    "amounts": [
                        {
                            "id": 0,
                            "transactionId": 0,
                            "type": "FEE",
                            "amount": 0,
                            "key": "string"
                        }
                    ],
                    "recipients": [
                        {
                            "type": "EMAIL",
                            "value": "string"
                        }
                    ],
                    "billPayment": {
                        "companyName": "string",
                        "debtIdentifier": "string",
                        "expirationDate": "string"
                    },
                    "sendingDate": "2019-08-24T14:15:22.123Z",
                    "depositAddress": {
                        "id": 0,
                        "type": "CVU",
                        "value": "string",
                        "externalId": "string",
                        "currencyId": 0,
                        "currency": {
                            "symbol": "string",
                            "code": "ARS",
                            "image": "string",
                            "decimals": 0
                        },
                        "bankProvider": {
                            "name": "BIND",
                            "img": "string"
                        },
                        "wallet": {
                            "id": 0,
                            "balance": 0,
                            "lockedBalance": 0,
                            "investedBalance": 0,
                            "availableBalance": 0,
                            "currency": {
                                "symbol": "string",
                                "code": "ARS",
                                "image": "string",
                                "decimals": 0
                            },
                            "companyId": 0
                        },
                        "hasEcheqs": true
                    },
                    "description": "string",
                    "rawData": null
                },
                "currencyId": 0,
                "userAddress": {
                    "id": 0,
                    "name": "string",
                    "uuid": "string",
                    "description": "string",
                    "ranking": 0,
                    "addresses": [
                        {
                            "id": 0,
                            "type": "CVU",
                            "value": "string",
                            "bankName": "string",
                            "ownerName": "string",
                            "img": "string",
                            "uuid": "string"
                        }
                    ],
                    "email": "string",
                    "phone": "string"
                },
                "currency": {
                    "symbol": "string",
                    "code": "ARS",
                    "image": "string",
                    "decimals": 0
                },
                "paymentMethod": "CASH",
                "paymentDate": "2019-08-24T14:15:22.123Z",
                "collaborator": {
                    "id": 0,
                    "firstName": "string",
                    "lastName": "string",
                    "image": "string",
                    "email": "string",
                    "role": "OWNER",
                    "phone": "string",
                    "birthDate": "2019-08-24T14:15:22.123Z",
                    "status": "CREATED"
                },
                "companyIntegration": {
                    "id": 0,
                    "companyId": 0,
                    "key": "KONVEX",
                    "enabled": true,
                    "url": "string",
                    "metadata": null,
                    "img": "string",
                    "name": "string",
                    "lastSync": "string"
                }
            }
        ],
        "hasMore": true,
        "cursor": 0,
        "pageSize": 0
    }
}
Modified at 2026-02-20 14:42:30
Previous
Update Signature Request
Next
Read Payments
Built with